#脚本#超级暴力魔改BBR,支持 4.9.X 内核最新版本自动探测一键操作

简介:

魔改自南琴浪大佬的BBR一键脚本,暂时只支持 4.9.3~4.13.16,亮点是自动探测最新版本的 4.9.X 内核,不用苦逼地去 ubuntu 内核发布页 手动查。

因为这几个大版本之间,只有 4.9.X 是长期支持版,你安装 4.10.X 4.11.X 4.12.X 4.13.X 并魔改也没问题,但这几个分支的 linux 内核版本,官方早已不再恢复,一旦未来 linux 内核有可能出现大的通用性漏洞,非 4.9.X 版本的内核将无法在第一时间获得安全补丁,整个运行环境都会出现危险,所以我还是非常强烈建议各位使用最新版本的 4.9.180(截至2019.6.8)。

网上也出现过不少魔改 4.14.X 系列的 BBR 作品,但是这些方法都只仅限于 linux 内核的某个版本,并不能为某个版本的内核提供全系列全周期的全局支持,出于安全考虑,即使其他作者的魔改作品的某单一版本 linux 内核的网络加速效果或许更好,但我也并不建议各位 MJJ 兄弟姐妹们使用。

这个内核发布页 https://kernel.ubuntu.com/~kernel-ppa/mainline/ 的 .deb 内核理论上 Debian 和 Ubuntu 通用,但由于南琴浪大佬的原脚本仅支持 Debian,所以我暂时也不会加入对 Ubuntu 的额外支持。

这个内核发布页的内核版本标注,即使按“last modified”排序,但有的时候顺序还是会有错乱,比如 4.9.173、4.9.179、4.9.180 这三个版本,内核维护着没有在它们源代码释出的时候,第一时间编译成 .deb 包,到了 2019.6.5 才一股脑传到对应目录,对我的脚本获取最新内核版本的逻辑造成了很大困扰,为此我做了许多修改,确保自动获取版本号逻辑正常、可用。

项目地址:

https://github.com/leitbogioro/Force_Modified_BBRhttps://github.com/leitbogioro/Force_Modified_BBR

使用方法:

  1. 首次运行脚本,弹出对话框,并按“1”回车执行:
wget --no-check-certificate -O Tsunami_BBR.sh https://git.io/fjmzL && bash Tsunami_BBR.sh
  1. 脚本自动探测出最新版本的 4.9.X 版本内核,如果无安装其他版本内核的特别需要,直接按回车,即可自动开始安装;
  2. 安装后期,弹出“是否需要卸载自带旧内核”的提示,选择“No”卸载即可,随后不久系统重启
  3. 再次登录系统,运行以下命令,按“2”开始下载魔改 BBR 模块并与新版本内核合并,并自动设置好魔改 BBR 设置,随后脚本推出
bash Tsunami_BBR.sh
  1. 再次运行以下命令,按“3”可完成一些外围的网络参数优化,此项你可以选择执行或不执行;
bash Tsunami_BBR.sh
  1. 脚本中按“4”是查看魔改 BBR 的运行状态,按“5”是卸载魔改 BBR

声明:

替换内核是一项比较危险的操作,对生产环境的其他组件、依赖,可能会造成难以估量的破坏,所以建议各位在全新环境安装,随后再配置其他运行环境。如果未来没有出现什么大规模且危及到你运行环境 linux 内核的巨大漏洞,请不要在后续的运行环境中贸然继续升级内核版本。

作者:leitbogioro

支持作者:https://github.com/leitbogioro

Last modification:July 17th, 2019 at 05:20 pm
如果觉得我的文章对你有用,请随意赞赏

Leave a Comment